Page MenuHomePhabricator

CheckUser blocker should respect block log entry flag natural order
Closed, ResolvedPublic

Description

In T41213: Block interface after "Get users" check should allow talk page/send email blocking we were granted the ability to specify aditional block log settings when using the CU mass blocking interface. This however does not respect the order of blocklog flags:

  • 19:30, 6 February 2016 MarcoAurelio (talk | contribs | block) blocked SOCKPUPPETNAME (talk | contribs) with an expiry time of infinite (email disabled, account creation disabled) (vandalism/abusing multiple accounts) (unblock | change block)

Regular order is: account creation disabled, email disabled, cannot edit own talk page

Thanks.

Details

Related Gerrit Patches:

Event Timeline

MarcoAurelio raised the priority of this task from to Needs Triage.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a project: CheckUser.
Restricted Application added subscribers: JEumerus, StudiesWorld, Aklapper. · View Herald TranscriptFeb 6 2016, 7:36 PM
MarcoAurelio set Security to None.
Krenair claimed this task.Feb 6 2016, 7:57 PM
Krenair added a subscriber: Krenair.

'natural order', heh

Change 268909 had a related patch set uploaded (by Alex Monk):
Add block log flags in the same order as SpecialBlock::blockLogFlags

https://gerrit.wikimedia.org/r/268909

Krenair moved this task from Backlog to Patches in review on the CheckUser board.Feb 7 2016, 5:17 AM

Change 268909 merged by jenkins-bot:
Add block log flags in the same order as SpecialBlock::blockLogFlags

https://gerrit.wikimedia.org/r/268909

Krenair closed this task as Resolved.Feb 8 2016, 12:58 AM